Subject: Re: Why doesn't git commit -a track new files

From: Marco <[email-masked]>
Date: Thu, 24 Feb 2011 15:20:27 +0100

On 2011-02-24 Pascal Obry <[email-masked]> wrote:

> Marco,
> 
> > I don't understand why there's not switch (is there?) for commit to
> > commit new and deleted files, like -A for git add? Is the only thing to
> > do this sth like
> >
> > git add -A && git commit -m "Message"
> 
> Never had the need for this. The reason is maybe when you are trying to have
> a small set if incremental commits, you usually don't want to add
> everything but you review the change carefully with "git add -p".

Of course not as default behaviour. Just as a switch (e.g. -A). If one wishes
this behaviour one can use it. Nobody forces you to use it (like -a).

> Now in some circumstances it could probably be useful.

Yes.

Marco